Quassel IRC - Bug #508

Buttons are not translated in a static build of Quassel.
02/01/2009 03:08 PM - Datafreak

Status: Resolved Start date: 02/01/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

If 1 build Quassel static on Windows, then the buttons are only in my Buildbox in German.
On a PC without Qt are the buttons in English.

The problem | have with my Quassel-Build and Phon's Quassel-Build.
Could it be that the translation of Qt is not build in the static?

Associated revisions

Revision 318483ddb3de556a4014cb2d5b5e6cd58b0718e2 - 02/12/2009 10:33 AM - Manuel Nickschas
Search for and include Qt translations in static builds

When building statically, this looks for Qt translations at build-time

and embeds them in the binary. Thus, buttons and other standard elements

should be translated even with no Qt installed on the target system.

Fixes #508.

Revision 318483dd - 02/12/2009 10:33 AM - Manuel Nickschas

Search for and include Qt translations in static builds

When building statically, this looks for Qt translations at build-time

and embeds them in the binary. Thus, buttons and other standard elements

should be translated even with no Qt installed on the target system.

Fixes #508.

History

#1 - 02/03/2009 12:31 PM - Datafreak

http://doc.trolltech.com/4.4/i18n.html#use-tr-for-all-literal-text

#2 - 02/12/2009 12:43 AM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.0

- OS set to Any

Need to copy Qt's translation files into our resource for a static build, as likely no Qit is installed on the target system.

#3 - 02/12/2009 11:58 AM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 318483ddb3de556a4014cb2d5b5e6cd58b0718e2.
